Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 458768 - media-video/libav: remove CFLAGS override
Summary: media-video/libav: remove CFLAGS override
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-22 18:03 UTC by Sebastian
Modified: 2020-04-26 15:24 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
libav-9.1-cflags.diff (libav-9.1-cflags.diff,753 bytes, text/plain)
2013-02-22 18:05 UTC, Sebastian
Details
libav-all-revert-cflags-patch.patch (libav-all-revert-cflags-patch.patch,9.11 KB, patch)
2014-10-05 10:39 UTC, Sebastian
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian 2013-02-22 18:03:54 UTC
Hello,

Please consider removing the lines from the ebuild that replace "native" with "host". They stem from bugs 172723 and 273421, from the year 2007 and 2009 respectively.

Now - 4 years later - libav (probably ffmeg, too) compiles fine with -march=native. I don't see why these lines would still be warranted.

Reproducible: Always
Comment 1 Sebastian 2013-02-22 18:05:33 UTC
Created attachment 339734 [details]
libav-9.1-cflags.diff

Patch to remove the lines from the ebuild
Comment 2 Tomáš Chvátal (RETIRED) gentoo-dev 2013-06-23 09:09:29 UTC
Yea, good point, removed in libav.
Comment 3 Sebastian 2014-10-05 10:39:49 UTC
Created attachment 386072 [details, diff]
libav-all-revert-cflags-patch.patch

Reverts the change.
Comment 4 Sebastian 2014-10-05 10:41:18 UTC
Hello all,

In bug 523942 I tried to get the same change for ffmpeg. Alexis pointed out that removing the code is actually wrong.

So please revert the change. Patch attached.

Sorry :)

Kind regards,
Sebastian
Comment 5 Larry the Git Cow gentoo-dev 2020-04-26 15:24:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ae1063b59ef317fdc6dd640b60437f6fb143a2ac

commit ae1063b59ef317fdc6dd640b60437f6fb143a2ac
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-04-26 15:14:48 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-04-26 15:22:46 +0000

    media-video/libav: remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=452482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=458768
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=470764
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=499256
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509974
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=519602
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=525070
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=555114
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=564040
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=587054
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588986
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=701952
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=538790
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=711206
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=489922
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=409957
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=445854
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=474408
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509294
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=522350
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=546080
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=603726
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=694082
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=634102
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=542186
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=635524
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651218
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651220
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 media-video/libav/Manifest                    |   3 -
 media-video/libav/files/libav-12.3-x264.patch |  85 -------
 media-video/libav/libav-12.3.ebuild           | 350 --------------------------
 media-video/libav/libav-13_pre20171219.ebuild | 336 -------------------------
 media-video/libav/libav-9999.ebuild           | 339 -------------------------
 media-video/libav/metadata.xml                |  35 ---
 6 files changed, 1148 deletions(-)